SSL_CTX_SET_KEYLOG_CALLBACK(3)

NAME
SSL_CTX_set_keylog_callback, SSL_CTX_get_keylog_callback - set and get the unused key logging callback

SYNOPSIS
#include <openssl/ssl.h>
typedef void
(*SSL_CTX_keylog_cb_func)(const SSL *ssl, const char *line);
void
SSL_CTX_set_keylog_callback(SSL_CTX *ctx, SSL_CTX_keylog_cb_func cb);
SSL_CTX_keylog_cb_func
SSL_CTX_get_keylog_callback(const SSL_CTX *ctx);

DESCRIPTION
SSL_CTX_set_keylog_callback() sets the TLS key logging callback. This callback is never called in LibreSSL.

SSL_CTX_set_keylog_callback() retrieves the previously set TLS key logging callback.

These functions are provided only for compatibility with OpenSSL.

RETURN VALUES
SSL_CTX_get_keylog_callback() returns the previously set TLS key logging callback, or NULL if no callback has been set.

SEE ALSO
ssl(3), SSL_CTX_new(3)

HISTORY
These function first appeared in OpenSSL 1.1.1 and have been available since OpenBSD 7.1.